Rumble Search API

Searches Rumble videos by keyword.

1 creditper request
GET
/v1/rumble/search
curl "https://api.scrapecreators.com/v1/rumble/search" \
  -H "x-api-key: "
{
  "success": true,
  "credits_remaining": 49997730850,
  "query": "funny cats",
  "videos": [
    {
      "id": "v6w80h0",
      "url": "https://rumble.com/v6w80h0-democrats-pretend-to-care-about-epstein-nightly-scroll-w-hayley-caronia-ep..html",
      "title": "Democrats Pretend To Care About Epstein - Nightly Scroll w/ Hayley Caronia (Ep.90) - 07/15/2025",
      "thumbnail": "https://hugh.cdn.rumble.cloud/video/fww1/e9/s8/1/K/X/A/2/KXA2y.oq1b.2-small-Democrats-Pretend-To-Care-A.jpg",
      "duration": "10 months ago Democrats Pretend To Care About Epstein - Nightly Scroll w/ Hayley Caronia (Ep.90) - 07/15/2025 BonginoReport Verified",
      "publishedAt": "2025-07-15T16:29:49-04:00",
      "publishedText": "10 months ago",
      "viewCountText": "185,000 views",
      "viewCountInt": 185000,
      "channel": {
        "name": "BonginoReport Verified",
        "url": "https://rumble.com/user/BonginoReport",
        "handle": "BonginoReport"
      },
      "type": "video"
    },
    {
      "id": "v79yv40",
      "url": "https://rumble.com/v79yv40-pets-dog-and-cat-insanely-funny-fails-compilation-viral-memes-epic-pranks-a.html",
      "title": "PETS - DOG & CAT 🤣 INSANELY FUNNY FAILS COMPILATION! Viral Memes, Epic Pranks & Unhinged Chaos 😂🔥",
      "thumbnail": "https://hugh.cdn.rumble.cloud/video/fwe2/8f/s8/1/a/C/F/o/aCFoA.oq1b-small-PETS-DOG-and-CAT-INSANELY-F..jpg",
      "duration": "2 days ago PETS - DOG & CAT 🤣 INSANELY FUNNY FAILS COMPILATION! Viral Memes, Epic Pranks & Unhinged Chaos 😂🔥 Funny Pet Cat",
      "publishedAt": "2026-05-17T03:01:42-04:00",
      "publishedText": "2 days ago",
      "viewCountText": "320 views",
      "viewCountInt": 320,
      "channel": {
        "name": "Funny Pet Cat",
        "url": "https://rumble.com/c/c-7841728",
        "handle": "c-7841728"
      },
      "type": "video"
    },
    {
      "id": "valm19",
      "url": "https://rumble.com/valm19-funny-cat-funny-cat.html",
      "title": "Funny cat funny cat",
      "thumbnail": "https://hugh.cdn.rumble.cloud/video/s8/6/n/Z/6/d/nZ6db.oq1b.1.jpg",
      "duration": "5 years ago Funny cat funny cat Cute Cats",
      "publishedAt": "2020-10-04T13:50:36-04:00",
      "publishedText": "5 years ago",
      "viewCountText": "539 views",
      "viewCountInt": 539,
      "channel": {
        "name": "Cute Cats",
        "url": "https://rumble.com/c/CuteCats223",
        "handle": "CuteCats223"
      },
      "type": "video"
    }
  ],
  "channels": [],
  "playlists": [],
  "shorts": [
    {
      "id": "v79mu94",
      "url": "https://rumble.com/shorts/v79mu94",
      "title": "FUNNY🤣 CATS",
      "thumbnail": "https://hugh.cdn.rumble.cloud/video/fww1/86/s8/6/O/E/w/m/OEwmA.oq1b.jpg",
      "duration": null,
      "publishedAt": "2026-05-09T19:22:41-04:00",
      "publishedText": "9 days ago",
      "viewCountText": "327 views",
      "viewCountInt": 327,
      "channel": {
        "name": "SusieQ4u",
        "url": "https://rumble.com/user/SusieQ4u",
        "handle": "SusieQ4u"
      },
      "type": "short"
    },
    {
      "id": "v792a76",
      "url": "https://rumble.com/shorts/v792a76",
      "title": "Too Much Love… Cat Identity Crisis!",
      "thumbnail": "https://hugh.cdn.rumble.cloud/video/fwe2/45/s8/1/I/u/S/i/IuSiA.oq1b-small-Too-Much-Love-Cat-Identity-..jpg",
      "duration": null,
      "publishedAt": "2026-04-27T06:27:02-04:00",
      "publishedText": "22 days ago",
      "viewCountText": "5,050 views",
      "viewCountInt": 5050,
      "channel": {
        "name": "Animal Madness TV",
        "url": "https://rumble.com/c/AniMadTV",
        "handle": "AniMadTV"
      },
      "type": "short"
    }
  ],
  "lives": [],
  "cursor": 2
}

Headers

x-api-key
string
required

Your Scrape Creators API key

Query Parameters

query
string
required

Search query.

Example:
funny cats
cursor
string

Cursor from the previous response. This is the next page number, like 2 or 3.

Example:
2